> For the complete documentation index, see [llms.txt](https://docs.claret.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.claret.app/api-reference/utilities/list-all-api-tokens-for-the-authenticated-user.md).

# List all API tokens for the authenticated user

```json
{"openapi":"3.1.0","info":{"title":"Claret","version":"1.0.0"},"tags":[{"name":"Utilities","description":"Token management, credit top-up, and asynchronous job status."}],"servers":[{"url":"https://plan.claret.app/{tenant}/api/v1","description":"Production","variables":{"tenant":{"default":"your-tenant","description":"Your Claret tenant identifier (the slug in your Claret URL)."}}}],"security":[{"http":[]}],"components":{"securitySchemes":{"http":{"type":"http","scheme":"bearer"}},"responses":{"AuthenticationException":{"description":"Unauthenticated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}}}},"paths":{"/tokens":{"get":{"operationId":"tenant.public.tokens.index","summary":"List all API tokens for the authenticated user","tags":["Utilities"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","const":"Tokens retrieved successfully."},"data":{"type":"array","prefixItems":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abilities":{"type":"array","items":{}},"last_used_at":{"type":"string"},"expires_at":{"type":"string"},"created_at":{"type":"string"}},"required":["id","name","abilities","last_used_at","expires_at","created_at"]}}],"minItems":1,"maxItems":1,"additionalItems":false},"meta":{"anyOf":[{"type":"array","items":{}},{"type":"string"}]},"links":{"type":"string"}},"required":["message","data","meta","links"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"500":{"description":"","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","const":"https://httpstatuses.com/500"},"title":{"type":"string","const":"Internal Server Error"},"status":{"type":"integer","const":500},"detail":{"type":"string","const":"An unexpected error occurred while retrieving tokens."},"request_id":{"type":"string"},"errors":{"type":"string"}},"required":["type","title","status","detail","request_id","errors"]}}}}}}}}}
```
